using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FlowLayoutPanel1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void leftToRightToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ToolStripMenuItem item = (ToolStripMenuItem)sender;

            switch (item.Text)
            {
                case "LeftToRight":
                    flowLayoutPanel1.FlowDirection = FlowDirection.LeftToRight;
                    break;
                case "RightToLeft":
                    flowLayoutPanel1.FlowDirection = FlowDirection.RightToLeft;
                    break;
                case "BottomUp":
                    flowLayoutPanel1.FlowDirection = FlowDirection.BottomUp;
                    break;
                case "TopDown":
                    flowLayoutPanel1.FlowDirection = FlowDirection.TopDown;
                    break;
            }
        }

        private void wrapContentsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            flowLayoutPanel1.WrapContents = !flowLayoutPanel1.WrapContents;
        }

        private void flowDirectionToolStripMenuItem_DropDownOpening(object sender, EventArgs e)
        {
            leftToRightToolStripMenuItem.Checked =
                flowLayoutPanel1.FlowDirection == FlowDirection.LeftToRight;
            rightToLeftToolStripMenuItem.Checked =
                flowLayoutPanel1.FlowDirection == FlowDirection.RightToLeft;
            topDownToolStripMenuItem.Checked =
                flowLayoutPanel1.FlowDirection == FlowDirection.TopDown;
            bottomUpToolStripMenuItem.Checked =
                flowLayoutPanel1.FlowDirection == FlowDirection.BottomUp;

            wrapContentsToolStripMenuItem.Checked =
                flowLayoutPanel1.WrapContents;
        }
    }
}